<?php 
include('app/db_configuracao/dbconfig.php');
include('app/db_configuracao/tabelas.php');
include('app/helpers/intermediador_pagamento/pix/AppConfig.php');
$sql_venda = mysqli_query($conexao,"SELECT * FROM clientes WHERE codigo_cliente = '".$_GET['id']."'") or die("Erro");
$resultado_venda = mysqli_fetch_assoc($sql_venda);

$curl = curl_init();
    curl_setopt_array($curl, array(
        CURLOPT_URL => 'https://api.mercadopago.com/v1/payments/'.$resultado_venda['codigo_transacao'],
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => array(
        'accept: application/json',
        'content-type: application/json',
        'Authorization: Bearer '.$access_token
    ),
    ));
    $response = curl_exec($curl);
    $resultado = json_decode($response);
    //var_dump($resultado);
curl_close($curl);
if($resultado->status == 'approved'){
    echo "<META HTTP-EQUIV=REFRESH CONTENT = '0;URL=https://".$host."/obrigado/".$_GET['id']."'>";
}
?>